// pages/imgController/index.js
import { httpCloud } from "../../utils/httpFunc";

Page({

  /**
   * 页面的初始数据
   */
  data: {
    mediaList: [],
  },
  nameText: "",
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const _this = this;
    this.nameText = options.title || "";
    this.mediaType = options.mediaType || 'image';
    wx.setNavigationBarTitle({
      title: this.nameText
    })
    httpCloud({
      name: "server",
      type: "getMediaController",
      data: {
        typeMedia: this.mediaType
      },
      call(res) {
        _this.setData({
          mediaList: (res || []).map(v=>{
            return {
              ...v,
              mediaType: _this.mediaType,
            }
          })
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  onShareAppMessage: function () {
    return {
      title: this.nameText,  // 分享名称
      path: 'pages/detail/detail?title=' + this.nameText,  // 点击分享后的链接要来到的页面的路径已经对应需要的参数
    }
  },
})